vim, vim-core: upgraded packages to upstream

Upgraded app-editors/vim to version 8.2.3567 on amd64, arm64
Upgraded app-editors/vim-core to version 8.2.3567 on amd64, arm64

Used command:

```
cros_portage_upgrade --upgrade --unstable-ok --board=lakitu:lakitu-arm64 app-editors/vim app-editors/vim-core
```

The above command resulted in following errors:
 - It installs python-utils-r1 in portage-stable/eclass which differs from python-utils-r1 we currently use from eclass-overlay/eclass. Therefore, removed the eclass from portage-stable/eclass.
 - Updated the PYTHON_COMPAT in the ebuild file as it mentions 3.10 which is not supported by python-utils-r1
 - Removed crypt use_flag as we didn't enable this functionality in the past. it was resulting in error due to libsodium package which is not present in our repository.

BUG=b/205946816,b/205946738,b/205105669,205105647,b/205321425,b/205321297
TEST=emerge vim,vim-core, presubmit
RELEASE_NOTE=Update vim and vim-core to v8.2.3567. This resolves
CVE-2021-3872, CVE-2021-3903 and CVE-2021-3875.

Change-Id: Iada0b22d217fd7f40bb8ef22949b70ace90e00a1
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/24980
Reviewed-by: Robert Kolchmeyer <rkolchmeyer@google.com>
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
diff --git a/app-editors/vim-core/Manifest b/app-editors/vim-core/Manifest
index ba93bb1..ae2d026 100644
--- a/app-editors/vim-core/Manifest
+++ b/app-editors/vim-core/Manifest
@@ -1,3 +1,4 @@
 DIST vim-8.2.0360-gentoo-patches.tar.xz 2612 BLAKE2B a9273a686b31dd873b25bfc07f7bc254f11038bde275ae4e6f56513a14e0268fdc1032ae847d1d7f8539f8a657217011770ccb4685998f34722383ec7bfb1a15 SHA512 00bc8eb8b20a4a6f3bbd179bb90d42fa6727c8eaae5b625e95e52c33638d456ef36d06b51c542ecaffb237c0b4f7aa72dc3bae7fe00144d55ab0d2fa51950f3b
 DIST vim-8.2.0814.tar.gz 14953478 BLAKE2B fd4155ec749bd9a705e8114ff7f8cc321182c9286733ff2f665e265ec0af830f9e70c730b8d0215f6db1f73a8e2f878d22932a72c8dbfe921591be7adcdaab00 SHA512 4ddd9e2d30719f931cadd1a4de5700736f641f4b074378d9ea1462a90b81975ce8e8c3ca2e3a1e15ac0288824eef5b0f0a3e31482f7637c450c6d7e52c8f40d2
 DIST vim-8.2.3428.tar.gz 15715383 BLAKE2B 865842bae0de25c34f255085f6edfe35b6905e220bdcb76372d7289ef1f6c2b2dee2f88e4a5f849d43fa560db4ade1e8e498d86f5651c5218d9153cde5ecddd3 SHA512 7cb473afa0ad6a9728dfc2f7d8ca19a21de329c4790141c7cb815b71c07e92a1ce04a5fcc2a0381c4beb304670d6c08629dc2ed2cb0842998cca2fd846c8cd6b
+DIST vim-8.2.3567.tar.gz 15771981 BLAKE2B 5a10ce998769b73a9c3b30fccb84e90eef8242d04e52b1cf475af777233ac774a6e5ec8c2aa09cadfe2db747b485fcc26d1d953017df4bb459d8a427715a3048 SHA512 f1b5debc77d5392966d168974eab7faae99082509a8148ea212e8e06ae980d9a2652ac77547d77d10953119527f68c633440cf813bb6dec8e259b7628af93af6
diff --git a/app-editors/vim-core/vim-core-8.2.3428.ebuild b/app-editors/vim-core/vim-core-8.2.3567.ebuild
similarity index 90%
rename from app-editors/vim-core/vim-core-8.2.3428.ebuild
rename to app-editors/vim-core/vim-core-8.2.3567.ebuild
index 56875ff..b361b7e 100644
--- a/app-editors/vim-core/vim-core-8.2.3428.ebuild
+++ b/app-editors/vim-core/vim-core-8.2.3567.ebuild
@@ -2,6 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
+# Please bump with app-editors/vim and app-editors/gvim
+
 VIM_VERSION="8.2"
 inherit estack vim-doc flag-o-matic bash-completion-r1 prefix desktop xdg-utils
 
@@ -14,23 +17,22 @@
 		https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
 	KEYWORDS="*"
 fi
+S="${WORKDIR}"/vim-${PV}
 
 DESCRIPTION="vim and gvim shared files"
 HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
 
-SLOT="0"
 LICENSE="vim"
+SLOT="0"
 IUSE="nls acl minimal"
 
-DEPEND="sys-devel/autoconf"
-# avoid icon file collision bug #673880
+BDEPEND="sys-devel/autoconf"
+# Avoid icon file collision, bug #673880
 RDEPEND="!!<app-editors/gvim-8.1.0648"
 PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
 
-S=${WORKDIR}/vim-${PV}
-
 pkg_setup() {
-	# people with broken alphabets run into trouble. bug 82186.
+	# people with broken alphabets run into trouble. bug #82186.
 	unset LANG LC_ALL
 	export LC_COLLATE="C"
 
@@ -50,7 +52,7 @@
 		-e '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
 		"${S}"/runtime/tools/mve.awk || die "sed failed"
 
-	# See #77841. We remove this file after the tarball extraction.
+	# See bug #77841. We remove this file after the tarball extraction.
 	rm -v "${S}"/runtime/tools/vimspell.sh || die "rm failed"
 
 	# Read vimrc and gvimrc from /etc/vim
@@ -59,7 +61,7 @@
 
 	# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
 	# Hopefully this pattern won't break for a while at least.
-	# This fixes bug 29398 (27 Sep 2003 agriffis)
+	# This fixes bug #29398 (27 Sep 2003 agriffis)
 	sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
 		"${S}"/runtime/doc/syntax.txt \
 		"${S}"/runtime/doc/tagsrch.txt \
@@ -69,7 +71,7 @@
 
 	# Don't be fooled by /usr/include/libc.h.  When found, vim thinks
 	# this is NeXT, but it's actually just a file in dev-libs/9libs
-	# This fixes bug 43885 (20 Mar 2004 agriffis)
+	# This fixes bug #43885 (20 Mar 2004 agriffis)
 	sed -i 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
 
 	# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
@@ -77,7 +79,7 @@
 	# which isn't even in the source file being invalid, we'll do some trickery
 	# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
 	find "${S}" -name '*.c' | while read c; do
-		echo >> "$c" || die "echo failed"
+	    echo >> "$c" || die "echo failed"
 	done
 
 	# Try to avoid sandbox problems. Bug #114475.
@@ -100,16 +102,16 @@
 src_configure() {
 	local myconf
 
-	# Fix bug 37354: Disallow -funroll-all-loops on amd64
+	# Fix bug #37354: Disallow -funroll-all-loops on amd64
 	# Bug 57859 suggests that we want to do this for all archs
 	filter-flags -funroll-all-loops
 
-	# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+	# Fix bug #76331: -O3 causes problems, use -O2 instead. We'll do this for
 	# everyone since previous flag filtering bugs have turned out to affect
 	# multiple archs...
 	replace-flags -O3 -O2
 
-	# Fix bug 18245: Prevent "make" from the following chain:
+	# Fix bug #18245: Prevent "make" from the following chain:
 	# (1) Notice configure.ac is newer than auto/configure
 	# (2) Rebuild auto/configure
 	# (3) Notice auto/configure is newer than auto/config.mk
@@ -125,7 +127,7 @@
 	# things are for ppc64, see bug 86433.
 	for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
 		if [[ -e "${file}" ]]; then
-			addwrite $file
+			addwrite ${file}
 		fi
 	done
 
diff --git a/app-editors/vim/Manifest b/app-editors/vim/Manifest
index ba93bb1..ae2d026 100644
--- a/app-editors/vim/Manifest
+++ b/app-editors/vim/Manifest
@@ -1,3 +1,4 @@
 DIST vim-8.2.0360-gentoo-patches.tar.xz 2612 BLAKE2B a9273a686b31dd873b25bfc07f7bc254f11038bde275ae4e6f56513a14e0268fdc1032ae847d1d7f8539f8a657217011770ccb4685998f34722383ec7bfb1a15 SHA512 00bc8eb8b20a4a6f3bbd179bb90d42fa6727c8eaae5b625e95e52c33638d456ef36d06b51c542ecaffb237c0b4f7aa72dc3bae7fe00144d55ab0d2fa51950f3b
 DIST vim-8.2.0814.tar.gz 14953478 BLAKE2B fd4155ec749bd9a705e8114ff7f8cc321182c9286733ff2f665e265ec0af830f9e70c730b8d0215f6db1f73a8e2f878d22932a72c8dbfe921591be7adcdaab00 SHA512 4ddd9e2d30719f931cadd1a4de5700736f641f4b074378d9ea1462a90b81975ce8e8c3ca2e3a1e15ac0288824eef5b0f0a3e31482f7637c450c6d7e52c8f40d2
 DIST vim-8.2.3428.tar.gz 15715383 BLAKE2B 865842bae0de25c34f255085f6edfe35b6905e220bdcb76372d7289ef1f6c2b2dee2f88e4a5f849d43fa560db4ade1e8e498d86f5651c5218d9153cde5ecddd3 SHA512 7cb473afa0ad6a9728dfc2f7d8ca19a21de329c4790141c7cb815b71c07e92a1ce04a5fcc2a0381c4beb304670d6c08629dc2ed2cb0842998cca2fd846c8cd6b
+DIST vim-8.2.3567.tar.gz 15771981 BLAKE2B 5a10ce998769b73a9c3b30fccb84e90eef8242d04e52b1cf475af777233ac774a6e5ec8c2aa09cadfe2db747b485fcc26d1d953017df4bb459d8a427715a3048 SHA512 f1b5debc77d5392966d168974eab7faae99082509a8148ea212e8e06ae980d9a2652ac77547d77d10953119527f68c633440cf813bb6dec8e259b7628af93af6
diff --git a/app-editors/vim/metadata.xml b/app-editors/vim/metadata.xml
index cd2ce2b..4f3a37f 100644
--- a/app-editors/vim/metadata.xml
+++ b/app-editors/vim/metadata.xml
@@ -6,6 +6,7 @@
     <name>Gentoo Vim Project</name>
   </maintainer>
   <use>
+    <flag name="crypt">Use <pkg>dev-libs/libsodium</pkg> for crypto support</flag>
     <flag name="cscope">Enable cscope interface</flag>
     <flag name="ipv6">Enable IPv6 support in channel</flag>
     <flag name="racket">Enable support for Scheme using <pkg>dev-scheme/racket</pkg></flag>
diff --git a/app-editors/vim/vim-8.2.3428.ebuild b/app-editors/vim/vim-8.2.3567.ebuild
similarity index 85%
rename from app-editors/vim/vim-8.2.3428.ebuild
rename to app-editors/vim/vim-8.2.3567.ebuild
index 6f86398..0199b64 100644
--- a/app-editors/vim/vim-8.2.3428.ebuild
+++ b/app-editors/vim/vim-8.2.3567.ebuild
@@ -2,6 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
+# Please bump with app-editors/vim-core and app-editors/gvim
+
 VIM_VERSION="8.2"
 LUA_COMPAT=( lua5-1 luajit )
 PYTHON_COMPAT=( python3_{6..9} )
@@ -22,8 +25,10 @@
 DESCRIPTION="Vim, an improved vi-style text editor"
 HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
 
-SLOT="0"
 LICENSE="vim"
+SLOT="0"
+# LAKITU: Remove crypt use-flag
+#IUSE="X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
 IUSE="X acl cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
 REQUIRED_USE="
 	lua? ( ${LUA_REQUIRED_USE} )
@@ -52,17 +57,16 @@
 	tcl? ( dev-lang/tcl:0= )
 	X? ( x11-libs/libXt )
 "
-
-DEPEND="
-	${RDEPEND}
+DEPEND="${RDEPEND}"
+# configure runs the Lua interpreter
+BDEPEND="
 	sys-devel/autoconf
+	lua? ( ${LUA_DEPS} )
 	nls? ( sys-devel/gettext )
 "
-# configure runs the Lua interpreter
-BDEPEND="lua? ( ${LUA_DEPS} )"
 
 pkg_setup() {
-	# people with broken alphabets run into trouble. bug 82186.
+	# people with broken alphabets run into trouble. bug #82186.
 	unset LANG LC_ALL
 	export LC_COLLATE="C"
 
@@ -93,7 +97,7 @@
 
 	# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
 	# Hopefully this pattern won't break for a while at least.
-	# This fixes bug 29398 (27 Sep 2003 agriffis)
+	# This fixes bug #29398 (27 Sep 2003 agriffis)
 	sed -i -e \
 		's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
 		"${S}"/runtime/doc/syntax.txt \
@@ -104,7 +108,7 @@
 
 	# Don't be fooled by /usr/include/libc.h.  When found, vim thinks
 	# this is NeXT, but it's actually just a file in dev-libs/9libs
-	# This fixes bug 43885 (20 Mar 2004 agriffis)
+	# This fixes bug #43885 (20 Mar 2004 agriffis)
 	sed -i -e \
 		's/ libc\.h / /' \
 		"${S}"/src/configure.ac || die 'sed failed'
@@ -114,7 +118,7 @@
 	# which isn't even in the source file being invalid, we'll do some trickery
 	# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
 	find "${S}" -name '*.c' | while read c; do
-		echo >> "$c" || die "echo failed"
+	    echo >> "$c" || die "echo failed"
 	done
 
 	# conditionally make the manpager.sh script
@@ -149,8 +153,8 @@
 src_configure() {
 	local myconf=()
 
-	# Fix bug 37354: Disallow -funroll-all-loops on amd64
-	# Bug 57859 suggests that we want to do this for all archs
+	# Fix bug #37354: Disallow -funroll-all-loops on amd64
+	# Bug #57859 suggests that we want to do this for all archs
 	filter-flags -funroll-all-loops
 
 	# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
@@ -167,11 +171,11 @@
 	rm src/auto/configure || die "rm failed"
 	emake -j1 -C src autoconf
 
-	# This should fix a sandbox violation (see bug 24447). The hvc
-	# things are for ppc64, see bug 86433.
+	# This should fix a sandbox violation (see bug #24447). The hvc
+	# things are for ppc64, see bug #86433.
 	for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
 		if [[ -e "${file}" ]]; then
-			addwrite $file
+			addwrite ${file}
 		fi
 	done
 
@@ -268,11 +272,27 @@
 	# Don't let vim talk to X
 	unset DISPLAY
 
+	# See https://github.com/vim/vim/blob/f08b0eb8691ff09f98bc4beef986ece1c521655f/src/testdir/runtest.vim#L5
+	# for more information on test variables we can use.
+	# Note that certain variables need vim-compatible regex (not PCRE), see e.g.
+	# http://www.softpanorama.org/Editors/Vimorama/vim_regular_expressions.shtml.
+	#
+	# Skipped tests:
+	# - Test_expand_star_star
+	# Hangs because of a recursive symlink in /usr/include/nodejs (bug #616680)
+	# - Test_exrc
+	# Looks in wrong location? (bug #742710)
+	# - Test_job_tty_in_out
+	# Fragile and depends on TERM(?)
+	# - Test_spelldump_bang
+	# Hangs.
+	export TEST_SKIP_PAT='\(Test_expand_star_star\|Test_exrc\|Test_job_tty_in_out\|Test_spelldump_bang\)'
+
 	emake -j1 -C src/testdir nongui
 }
 
 # Call eselect vi update with --if-unset
-# to respect user's choice (bug 187449)
+# to respect user's choice (bug #187449)
 eselect_vi_update() {
 	einfo "Calling eselect vi update..."
 	eselect vi update --if-unset
diff --git a/metadata/md5-cache/app-editors/vim-8.2.3428 b/metadata/md5-cache/app-editors/vim-8.2.3428
deleted file mode 100644
index 3c75d33..0000000
--- a/metadata/md5-cache/app-editors/vim-8.2.3428
+++ /dev/null
@@ -1,15 +0,0 @@
-BDEPEND=lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) )
-DEFINED_PHASES=compile configure install postinst postrm prepare setup test
-DEPEND=>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl ) acl? ( kernel_linux? ( sys-apps/acl ) ) cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated] ) ) !minimal? ( ~app-editors/vim-core-8.2.3428 ) vim-pager? ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8] ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9] ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10] ) ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.6 dev-lang/ruby:2.7 ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt ) sys-devel/autoconf nls? ( sys-devel/gettext )
-DESCRIPTION=Vim, an improved vi-style text editor
-EAPI=7
-HOMEPAGE=https://vim.sourceforge.io/ https://github.com/vim/vim
-IUSE=X acl cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager lua_single_target_luajit lua_single_target_lua5-1 python_single_target_python3_8 python_single_target_python3_9 python_single_target_python3_10
-KEYWORDS=*
-LICENSE=vim
-RDEPEND=>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl ) acl? ( kernel_linux? ( sys-apps/acl ) ) cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated] ) ) !minimal? ( ~app-editors/vim-core-8.2.3428 ) vim-pager? ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8] ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9] ) python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10] ) ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.6 dev-lang/ruby:2.7 ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt )
-REQUIRED_USE=lua? ( ^^ ( lua_single_target_luajit lua_single_target_lua5-1 ) ) python? ( ^^ ( python_single_target_python3_8 python_single_target_python3_9 python_single_target_python3_10 ) ) vim-pager? ( !minimal )
-SLOT=0
-SRC_URI=https://github.com/vim/vim/archive/v8.2.3428.tar.gz -> vim-8.2.3428.tar.gz https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz
-_eclasses_=bash-completion-r1	47a7402d95930413ce25ba8d857339bb	desktop	b1d22ac8bdd4679ab79c71aca235009d	eapi8-dosym	cd7d420bb5be5ee079f27239ce76b8f5	eutils	fcb2aa98e1948b835b5ae66ca52868c5	flag-o-matic	5d5921a298e95441da2f85be419894c0	lua-single	ba92a0c9d413e015c6625cdb0b9aaf99	lua-utils	7b7cd623ac8b9dd4a7a6ee27219cada6	multilib	2477ebe553d3e4d2c606191fe6c33602	multiprocessing	c3cf317581e5bd068a4b851f03dd8cba	python-single-r1	674c48c926cbb44e91b656e0399d8f54	python-utils-r1	655fe65f186504e455c2f3116808fda8	ruby-single	e6530f43a549f120f9396ccb852288f5	ruby-utils	cdb4c1e4283adb7707b7dd48ccaa7ad2	toolchain-funcs	605c126bed8d87e4378d5ff1645330cb	vim-doc	6bd5bb2529af326fe3359e975a3439d0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
-_md5_=b08c33e718456f5e38a2f9b9dc4438e9
diff --git a/metadata/md5-cache/app-editors/vim-8.2.3567 b/metadata/md5-cache/app-editors/vim-8.2.3567
new file mode 100644
index 0000000..ac35486
--- /dev/null
+++ b/metadata/md5-cache/app-editors/vim-8.2.3567
@@ -0,0 +1,15 @@
+BDEPEND=sys-devel/autoconf lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) ) nls? ( sys-devel/gettext )
+DEFINED_PHASES=compile configure install postinst postrm prepare setup test
+DEPEND=>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl ) acl? ( kernel_linux? ( sys-apps/acl ) ) cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated] ) ) !minimal? ( ~app-editors/vim-core-8.2.3567 ) vim-pager? ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7] ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8] ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9] ) ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.6 dev-lang/ruby:2.7 ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt )
+DESCRIPTION=Vim, an improved vi-style text editor
+EAPI=7
+HOMEPAGE=https://vim.sourceforge.io/ https://github.com/vim/vim
+IUSE=X acl cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager lua_single_target_luajit lua_single_target_lua5-1 python_single_target_python3_7 python_single_target_python3_8 python_single_target_python3_9
+KEYWORDS=*
+LICENSE=vim
+RDEPEND=>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl ) acl? ( kernel_linux? ( sys-apps/acl ) ) cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated] ) ) !minimal? ( ~app-editors/vim-core-8.2.3567 ) vim-pager? ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7] ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8] ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9] ) ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.5 dev-lang/ruby:2.4 dev-lang/ruby:2.6 dev-lang/ruby:2.7 ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt )
+REQUIRED_USE=lua? ( ^^ ( lua_single_target_luajit lua_single_target_lua5-1 ) ) python? ( ^^ ( python_single_target_python3_7 python_single_target_python3_8 python_single_target_python3_9 ) ) vim-pager? ( !minimal )
+SLOT=0
+SRC_URI=https://github.com/vim/vim/archive/v8.2.3567.tar.gz -> vim-8.2.3567.tar.gz https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz
+_eclasses_=bash-completion-r1	47a7402d95930413ce25ba8d857339bb	desktop	b1d22ac8bdd4679ab79c71aca235009d	eutils	fcb2aa98e1948b835b5ae66ca52868c5	flag-o-matic	5d5921a298e95441da2f85be419894c0	lua-single	ba92a0c9d413e015c6625cdb0b9aaf99	lua-utils	7b7cd623ac8b9dd4a7a6ee27219cada6	multilib	2477ebe553d3e4d2c606191fe6c33602	python-single-r1	674c48c926cbb44e91b656e0399d8f54	python-utils-r1	157a6a7a3e99c7dbdf81acc9dd4f57cd	ruby-single	e6530f43a549f120f9396ccb852288f5	ruby-utils	cdb4c1e4283adb7707b7dd48ccaa7ad2	toolchain-funcs	f783d68a26b62d6b19e070e6bcada5e6	vim-doc	6bd5bb2529af326fe3359e975a3439d0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
+_md5_=f4a7f013a239493c873c288f238c3a45
diff --git a/metadata/md5-cache/app-editors/vim-core-8.2.3428 b/metadata/md5-cache/app-editors/vim-core-8.2.3428
deleted file mode 100644
index 24f351c..0000000
--- a/metadata/md5-cache/app-editors/vim-core-8.2.3428
+++ /dev/null
@@ -1,20 +0,0 @@
-DEFINED_PHASES=compile configure install postinst postrm prepare setup test
-DEPEND=sys-devel/autoconf
-DESCRIPTION=vim and gvim shared files
-EAPI=7
-HOMEPAGE=https://vim.sourceforge.io/ https://github.com/vim/vim
-IUSE=nls acl minimal
-KEYWORDS=*
-LICENSE=vim
-PDEPEND=!minimal? ( app-vim/gentoo-syntax )
-RDEPEND=!!<app-editors/gvim-8.1.0648
-SLOT=0
-<<<<<<< HEAD:metadata/md5-cache/app-editors/vim-core-8.2.3428
-SRC_URI=https://github.com/vim/vim/archive/v8.2.3428.tar.gz -> vim-8.2.3428.tar.gz https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz
-_eclasses_=bash-completion-r1	47a7402d95930413ce25ba8d857339bb	desktop	b1d22ac8bdd4679ab79c71aca235009d	estack	686eaab303305a908fd57b2fd7617800	eutils	fcb2aa98e1948b835b5ae66ca52868c5	flag-o-matic	5d5921a298e95441da2f85be419894c0	multilib	2477ebe553d3e4d2c606191fe6c33602	prefix	e51c7882b7b721e54e684f7eb143cbfe	toolchain-funcs	605c126bed8d87e4378d5ff1645330cb	vim-doc	6bd5bb2529af326fe3359e975a3439d0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
-_md5_=afee0ac91ab731b4ed578ad494b1bf8f
-=======
-SRC_URI=https://github.com/vim/vim/archive/v8.2.0360.tar.gz -> vim-8.2.0360.tar.gz https://dev.gentoo.org/~radhermit/vim/vim-8.2.0210-gentoo-patches.tar.bz2
-_eclasses_=bash-completion-r1	47a7402d95930413ce25ba8d857339bb	desktop	b1d22ac8bdd4679ab79c71aca235009d	estack	686eaab303305a908fd57b2fd7617800	eutils	fcb2aa98e1948b835b5ae66ca52868c5	flag-o-matic	5d5921a298e95441da2f85be419894c0	multilib	2477ebe553d3e4d2c606191fe6c33602	prefix	e51c7882b7b721e54e684f7eb143cbfe	toolchain-funcs	f783d68a26b62d6b19e070e6bcada5e6	vim-doc	6bd5bb2529af326fe3359e975a3439d0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
-_md5_=67cdb76bbe7c0e090b30d2c80e29ce74
->>>>>>> a260818a85fec2db7218d8ad60f4a0eea3335b52:metadata/md5-cache/app-editors/vim-core-8.2.0360
diff --git a/metadata/md5-cache/app-editors/vim-core-8.2.3567 b/metadata/md5-cache/app-editors/vim-core-8.2.3567
new file mode 100644
index 0000000..195423a
--- /dev/null
+++ b/metadata/md5-cache/app-editors/vim-core-8.2.3567
@@ -0,0 +1,14 @@
+BDEPEND=sys-devel/autoconf
+DEFINED_PHASES=compile configure install postinst postrm prepare setup test
+DESCRIPTION=vim and gvim shared files
+EAPI=7
+HOMEPAGE=https://vim.sourceforge.io/ https://github.com/vim/vim
+IUSE=nls acl minimal
+KEYWORDS=*
+LICENSE=vim
+PDEPEND=!minimal? ( app-vim/gentoo-syntax )
+RDEPEND=!!<app-editors/gvim-8.1.0648
+SLOT=0
+SRC_URI=https://github.com/vim/vim/archive/v8.2.3567.tar.gz -> vim-8.2.3567.tar.gz https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz
+_eclasses_=bash-completion-r1	47a7402d95930413ce25ba8d857339bb	desktop	b1d22ac8bdd4679ab79c71aca235009d	estack	686eaab303305a908fd57b2fd7617800	eutils	fcb2aa98e1948b835b5ae66ca52868c5	flag-o-matic	5d5921a298e95441da2f85be419894c0	multilib	2477ebe553d3e4d2c606191fe6c33602	prefix	e51c7882b7b721e54e684f7eb143cbfe	toolchain-funcs	f783d68a26b62d6b19e070e6bcada5e6	vim-doc	6bd5bb2529af326fe3359e975a3439d0	xdg-utils	ff2ff954e6b17929574eee4efc5152ba
+_md5_=c69f5bb5a5e95dffb7661028cd666fd8